List a document's versions
View as MarkdownGET
/v1/documents/{id}/versionsLists saved versions of a document's body, newest first.
docs:readRead-only
curl "https://api.lydie.co/v1/documents/01JCQ3V5MZ8G4ZK2X7T9R6N1PB/versions" \
-H "Authorization: Bearer $LYDIE_TOKEN"Path parameters
Query parameters
Default
50
Response
- versionsDocumentVersion[]
Show 7 fieldsHide fields
- idstring
- documentIdULID
- kindstring
auto: editing went idle. before_write: the state before an API write or restore. restore: the result of a restore.
One of
autobefore_writerestore - sizeBytesinteger
- createdAtstring
{
"versions": [
{
"id": "string",
"documentId": "01JCQ3V5MZ8G4ZK2X7T9R6N1PB",
"kind": "auto",
"authors": [
"string"
],
"restoredFrom": null,
"sizeBytes": -9007199254740991,
"createdAt": "string"
}
]
}Errors use one envelope for every endpoint. See Errors and versions.